package com.sifang.modules.supply.warehouse.vo;

import java.math.BigDecimal;

public class OutAllocationMaterialVo {

    private String id;

    private String materialId;

    private String materialCode;

    private BigDecimal stock;

    private String location;

    @Override
    public String toString() {
        return "OutAllocationMaterialVo{" +
                "id='" + id + '\'' +
                ", materialId='" + materialId + '\'' +
                ", materialCode='" + materialCode + '\'' +
                ", stock=" + stock +
                ", outAmount=" + outAmount +
                '}';
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getMaterialId() {
        return materialId;
    }

    public void setMaterialId(String materialId) {
        this.materialId = materialId;
    }

    public String getMaterialCode() {
        return materialCode;
    }

    public void setMaterialCode(String materialCode) {
        this.materialCode = materialCode;
    }

    public BigDecimal getStock() {
        return stock;
    }

    public void setStock(BigDecimal stock) {
        this.stock = stock;
    }

    public BigDecimal getOutAmount() {
        return outAmount;
    }

    public void setOutAmount(BigDecimal outAmount) {
        this.outAmount = outAmount;
    }

    private BigDecimal outAmount;

    public String getLocation() {
        return location;
    }

    public void setLocation(String location) {
        this.location = location;
    }
}
